<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../new_and_noteworthy.xsl"?>
<release
	name="Incubator"
	root="../../.."
>
	<greeting>
		The WTP Incubator is a subproject fostering the
		creation and development of new components for existing WTP subprojects, before
		they become part of a release.  While they don't fall under the same schedule as the WTP release itself, 
		they are encouraged to follow the same processes.  As such, a complete list of which Incubator bugs
		were fixed during this milestone is also
		<a
			href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=WTP+Incubator&amp;resolution=FIXED&amp;chfieldfrom=2009-09-25&amp;chfieldto=2009-11-06&amp;chfield=resolution&amp;cmdtype=doit"
		>available</a>.
<!--		<a-->
<!--			href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=WTP+Incubator&amp;resolution=FIXED&amp;chfieldfrom=2009-07-30&amp;chfieldto=2009-09-30&amp;chfield=resolution&amp;target_milestone=0.5+M2&amp;cmdtype=doit"-->
<!--		>available</a>.-->
	</greeting>
	
    <component name="JAX-WS Tools">
        <item title="JAX-WS CNF Content Extensions">
            <description>
                <p>Common Navigator Framework Content Extensions for JAX-WS Nodes.</p>
                <img src="incubator/jaxwsnodes.png" alt="jaxws nodes"/><br/>
                <p>A "JAX-WS Web Services" node in the Project Explorer view which contains all JSR-181 web services,
                   their service endpoint interfaces, the web service operations and their parameters.
                   Editing of the nodes is provided through the standard properties view.</p>
            </description>
        </item>
    
        <item title="JAXB Annotation Support">
            <description>
                <p>Create and edit JAXB 2.1 annotations.</p>
                <img src="incubator/jaxwsnodes.png" alt="jaxb annotations"/><br/>
                <p>The Annotation Properties view now supports the creation and editing of JAXB 2.1 annotations.
                The view displays the applicable JAXB annotations for a selected Java element in the Java Editor.</p>
            </description>
        </item>
        
        <item title="Single Member and Marker Annotation Support">
            <description>
                <p>The JAX-WS tooling now provides support for creating and adding Single Member and Marker
                Annotations using the Annotations Properties view.</p>
            </description>
        </item>
    </component>
	
	<!--
		<component
			name="Facelets"
		>
		</component>
	-->
</release>